Bug 221156 - irda related kernel bug
irda related kernel bug
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-02 10:19 EST by Josh Bressers
Modified: 2008-02-07 23:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:25:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-01-02 10:19:52 EST
When my pcmcia modem is inserted and I load irda, the computer usually locks up,
this last time the keyboard quit working, but other things seemed fine.  The
kernel issued the following error message to syslog:

Jan  2 09:13:05 kirby irattach: executing: 'echo kirby > /proc/sys/net/irda/devn
ame'
Jan  2 09:13:05 kirby irattach: Starting device irda1
Jan  2 09:13:05 kirby kernel: skb_under_panic: text:e0e25016 len:3 put:2 head:da
971400 data:da9713fe tail:da971401 end:da971480 dev:<NULL>
Jan  2 09:13:05 kirby kernel: ------------[ cut here ]------------
Jan  2 09:13:05 kirby kernel: kernel BUG at net/core/skbuff.c:111!
Jan  2 09:13:05 kirby kernel: invalid opcode: 0000 [#1]
Jan  2 09:13:05 kirby kernel: SMP 
Jan  2 09:13:05 kirby kernel: last sysfs file: /class/net/lo/ifindex
Jan  2 09:13:05 kirby kernel: Modules linked in: irnet ppp_generic slhc irtty_si
r sir_dev ircomm_tty ircomm irda crc_ccitt tun fuse autofs4 hidp rfcomm l2cap bl
uetooth sunrpc freq_table video sbs i2c_ec dock button battery ac radeon drm ipv
6 parport_pc lp parport snd_intel8x0m snd_intel8x0 snd_ac97_codec snd_ac97_bus s
nd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss s
nd_mixer_oss serial_cs snd_pcm aes snd_timer floppy snd pcnet_cs i2c_i801 soundc
ore ide_cd cdrom e1000 i2c_core snd_page_alloc 8390 pcspkr airo serio_raw dm_sna
pshot dm_zero dm_mirror dm_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Jan  2 09:13:05 kirby kernel: CPU:    0
Jan  2 09:13:05 kirby kernel: EIP:    0060:[<c05ac1a4>]    Not tainted VLI
Jan  2 09:13:05 kirby kernel: EFLAGS: 00210292   (2.6.18-1.2849.fc6 #1) 
Jan  2 09:13:05 kirby kernel: EIP is at skb_under_panic+0x5e/0x6c
Jan  2 09:13:05 kirby kernel: eax: 00000070   ebx: dc8778c0   ecx: c0671c50   ed
x: 00200096
Jan  2 09:13:05 kirby kernel: esi: 00000002   edi: 00000010   ebp: dec30ea4   es
p: c56aee54
Jan  2 09:13:05 kirby kernel: ds: 007b   es: 007b   ss: 0068
Jan  2 09:13:05 kirby kernel: Process irattach (pid: 26446, ti=c56ae000 task=cda
a85e0 task.ti=c56ae000)
Jan  2 09:13:05 kirby kernel: Stack: c06523c9 e0e25016 00000003 00000002 da97140
0 da9713fe da971401 da971480 
Jan  2 09:13:05 kirby kernel:        c0636f98 d20527c0 dc8778c0 e0e2501b dec30e0
0 dc8778c0 e0e2abe3 e0a216c8 
Jan  2 09:13:05 kirby kernel:        c1ef3800 d81a1800 e0a216a0 00000000 e0a2037
9 000000d0 00000001 dedeccfc 
Jan  2 09:13:05 kirby kernel: Call Trace:
Jan  2 09:13:05 kirby kernel:  [<e0e2501b>] irlmp_data_request+0x30/0x4c [irda]
Jan  2 09:13:05 kirby kernel:  [<e0e2abe3>] irttp_run_rx_queue+0x1b5/0x1cb [irda
]
Jan  2 09:13:05 kirby kernel:  [<e0a20379>] irtty_start_dev+0x48/0x90 [irtty_sir
]
Jan  2 09:13:05 kirby kernel:  [<e0a1a457>] sirdev_open+0x134/0x1e1 [sir_dev]
Jan  2 09:13:05 kirby kernel:  [<c05b1bce>] dev_open+0x2b/0x62
Jan  2 09:13:05 kirby kernel:  [<c05b05f2>] dev_change_flags+0x46/0xe3
Jan  2 09:13:05 kirby kernel:  [<c05b1fa7>] dev_ioctl+0x3a2/0x46b
Jan  2 09:13:05 kirby kernel:  [<c047b133>] do_ioctl+0x1f/0x63
Jan  2 09:13:05 kirby kernel:  [<c047b3c1>] vfs_ioctl+0x24a/0x25c
Jan  2 09:13:05 kirby kernel:  [<c047b41f>] sys_ioctl+0x4c/0x65
Jan  2 09:13:05 kirby kernel:  [<c0404027>] syscall_call+0x7/0xb
Jan  2 09:13:05 kirby kernel: DWARF2 unwinder stuck at syscall_call+0x7/0xb
Jan  2 09:13:05 kirby kernel: Leftover inexact backtrace:
Jan  2 09:13:05 kirby kernel:  =======================
Jan  2 09:13:05 kirby kernel: Code: c7 04 24 c9 23 65 c0 89 44 24 18 8b 83 a0 00
 00 00 89 44 24 14 8b 83 9c 00 00 00 89 44 24 10 8b 43 60 89 44 24 08 e8 4e 54 e
7 ff <0f> 0b 6f 00 62 23 65 c0 83 c4 24 5b 5e c3 56 89 d6 53 89 c3 83 
Jan  2 09:13:05 kirby kernel: EIP: [<c05ac1a4>] skb_under_panic+0x5e/0x6c SS:ESP
 0068:c56aee54
Comment 1 Jon Stanley 2008-01-07 20:52:48 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:25:39 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.